Bug 490320 - Updating to 0.99.101 pre-release to fix broken deps in rawhide
Updating to 0.99.101 pre-release to fix broken deps in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postgresql-odbcng (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Devrim Gündüz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-15 05:20 EDT by Alex Lancaster
Modified: 2009-03-20 03:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 03:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2009-03-15 05:20:46 EDT
Given that this package is broken in rawhide:

	postgresql-odbcng-0.90.101-2.fc10.i386 requires libodbcinst.so.1

I took the liberty of updating the source and the spec file to the pre-release posted by upstream here:

https://lists.commandprompt.com/pipermail/odbcng/2009-March/000364.html

I committed the changes and did a successful scratch build on koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1242022

I didn't tag in case there were problems and you wanted to back it out.  However, if you concur that all is well, please "make tag build" for a real build and request inclusion in f11-beta by filing a bug on rel-eng as per:

http://www.redhat.com/archives/fedora-devel-list/2009-March/msg00740.html

If you don't have time to do this now, let me know and I can complete it.  Thanks.
Comment 1 Alex Lancaster 2009-03-17 09:12:04 EDT
Ping?  If I don't get a response soon, I'll probably just push it rawhide and request the tagging as currently the package is broken in any case.
Comment 2 Devrim GUNDUZ 2009-03-17 09:17:13 EDT
Please wait until upstream pushes the new release which will fix other bugs, too.
Comment 3 Alex Lancaster 2009-03-17 09:32:44 EDT
(In reply to comment #2)
> Please wait until upstream pushes the new release which will fix other bugs,
> too.  

Unless it is in the next day or so, that's too long to wait.   This package will be broken in F-11 beta if it is left any longer, so it should be tagged into the collection ASAP.  

If another release comes along soon in the meantime, we can push that after.  The priority now should be fixing those broken deps, otherwise the package could be blocked.
Comment 4 Alex Lancaster 2009-03-20 03:27:34 EDT
As there appears to be no new release and no new activity on the mailing list:

http://lists.commandprompt.com/pipermail/odbcng/2009-March/000364.html

I'm taking the liberty to build for f11:

and request rel-eng tag into f11-beta:

http://fedorahosted.org/rel-eng/ticket/1408

to fix the broken deps.

(A final release can be pushed later, a pre-release is better than an uninstallable package).
Comment 5 Alex Lancaster 2009-03-20 03:28:58 EDT
(In reply to comment #4)
> I'm taking the liberty to build for f11:

build link here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=94846

Note You need to log in before you can comment on or make changes to this bug.